PTHREAD_RWLOCKATTR_INIT(3)

NAME
pthread_rwlockattr_init - initialize a read/write lock

SYNOPSIS
libpthread
#include <pthread.h>
int
pthread_rwlockattr_init(pthread_rwlockattr_t *attr);

DESCRIPTION
The pthread_rwlockattr_init() function is used to initialize a read/write lock attributes object.

RETURN VALUES
If successful, the pthread_rwlockattr_init() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_rwlockattr_init() will fail if:

[ENOMEM]
    Insufficient memory exists to initialize the attribute object.

SEE ALSO
pthread_rwlock_init(3), pthread_rwlockattr_destroy(3), pthread_rwlockattr_getpshared(3), pthread_rwlockattr_setpshared(3)

STANDARDS
The pthread_rwlockattr_init() function is expected to conform to susv2.

HISTORY
The pthread_rwlockattr_init() function first appeared in FreeBSD 3.0 and OpenBSD 2.5.